Execute video workflow
curl --request POST \
--url https://api.videodb.io/video/{video_id}/workflow/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"workflow_type": "transcribe",
"config": {
"language": "en",
"model": "gpt-4"
}
}
'const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflow_type: 'transcribe', config: {language: 'en', model: 'gpt-4'}})
};
fetch('https://api.videodb.io/video/{video_id}/workflow/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/video/{video_id}/workflow/' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"workflow_type": "transcribe",
"config": {
"language": "en",
"model": "gpt-4"
}
}'import Foundation
let parameters = [
"workflow_type": "transcribe",
"config": [
"language": "en",
"model": "gpt-4"
]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/video/{video_id}/workflow/")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/workflow/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"workflow_type\": \"transcribe\",\n \"config\": {\n \"language\": \"en\",\n \"model\": \"gpt-4\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/workflow/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"workflow_type\": \"transcribe\",\n \"config\": {\n \"language\": \"en\",\n \"model\": \"gpt-4\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflow_type: 'transcribe', config: {language: 'en', model: 'gpt-4'}})
};
fetch('https://api.videodb.io/video/{video_id}/workflow/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/workflow/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"workflow_type\": \"transcribe\",\n \"config\": {\n \"language\": \"en\",\n \"model\": \"gpt-4\"\n }\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/workflow/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"workflow_type\": \"transcribe\",\n \"config\": {\n \"language\": \"en\",\n \"model\": \"gpt-4\"\n }\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"workflow_type\": \"transcribe\",\n \"config\": {\n \"language\": \"en\",\n \"model\": \"gpt-4\"\n }\n}")
val request = Request.Builder()
.url("https://api.videodb.io/video/{video_id}/workflow/")
.post(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"status": "processing",
"data": {
"id": "job-123",
"output_url": "https://api.videodb.io/async-response/job-123"
}
}Execute Video Workflow
Execute complex multi-step video processing workflows
POST
/
video
/
{video_id}
/
workflow
/
Execute video workflow
Apply complex video processing workflows such as adding subtitles, overlays, or other transformations.
import videodb
from videodb import SubtitleStyle
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
video = coll.get_videos()[0]
# Add subtitles to video
subtitle_style = SubtitleStyle(
background_color="#000000",
text_color="#FFFFFF"
)
stream_url = video.add_subtitle(subtitle_style)
print(f"Video with subtitles: {stream_url}")
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
const videos = await coll.getVideos();
const video = videos[0];
// Add subtitles to video
const streamUrl = await video.addSubtitle({
backgroundColor: '#000000',
textColor: '#FFFFFF'
});
console.log(`Video with subtitles: ${streamUrl}`);
- Supports multiple workflow types (subtitles currently implemented)
- Workflows modify video stream without changing original
- Subtitle style customization includes colors, positioning, and fonts
- Returns new stream URL with applied workflow
- Original video remains unchanged
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Pattern:
^m-Example:
"m-12345"
Body
application/json
⌘I